$(buscar_datos());

function buscar_datos(consulta){
	$.ajax({
		url: 'buscar.php' ,
		type: 'POST' ,
		dataType: 'html',
		data: {consulta: consulta},
	})
	.done(function(respuesta){
		$("#datos").html(respuesta);
	})
	.fail(function(){
		console.log("error");
	});
}


$(document).on('keyup','#caja_busqueda', function(){
	var valor = $(this).val();
	if (valor != "") {
		buscar_datos(valor);
	}else{
		buscar_datos();
	}
});

$(cantidad_datos());

function cantidad_datos(consulta1){
	$.ajax({
		url: 'buscar.php' ,
		type: 'POST' ,
		dataType: 'html',
		data: {consulta1: consulta1},
	})
	.done(function(respuesta1){
		$("#datos").html(respuesta1);
	})
	.fail(function(){
		console.log("error");
	});
}


$(document).on('keyup','#caja_cantidad', function(){
	var valor = $(this).val();
	if (valor != "") {
		cantidad_datos(valor);
	}else{
		cantidad_datos();
	}
});